<?php

namespace Ems\Repository;

use Doctrine\ORM\EntityManager;
use Util\NovoCodigo;
use Ems\Util\Utilities;

class ParamOrgRepository {

    public function __construct(EntityManager $entityManager) {
        $this->connection           = $entityManager->getConnection();
        $this->entityManager        = $entityManager;
    }

    public function getParamOrg(string $nrorg): Array {
        $sql = <<<SQL
            SELECT *
              FROM GPE_PARAMORG PO
             WHERE PO.NRORG = :P_NRORG
SQL;

        $query = $this->connection->prepare($sql);

        $query->execute(
            array(
                "P_NRORG"       => $nrorg
            )
        );

        $result = $query->fetchAll();

        return !empty($result) ? $result[0] : $result;
    }
}