/* JOB */
  BEGIN
   DECLARE
      V_COUNT NUMBER;
   BEGIN
      V_COUNT := 0;
      BEGIN
         SELECT COUNT(*)
           INTO V_COUNT
           FROM USER_SCHEDULER_JOBS
          WHERE JOB_NAME = 'JOB_REPLICA_VENDAS_RM';
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
            V_COUNT := 0;
      END;
      IF V_COUNT = 0 THEN
         DBMS_SCHEDULER.CREATE_JOB (
            job_name        => 'JOB_REPLICA_VENDAS_RM',
            job_type        => 'PLSQL_BLOCK',
            job_action      => 'BEGIN REPLICA_VENDAS_RM(); END;',
            start_date      => SYSDATE,
            repeat_interval => 'FREQ=MINUTELY;INTERVAL=180',
            end_date        => NULL,
            enabled         => TRUE,
            comments        => 'Job criado para atualizar vendas das tabelas VENDADIAMODALIDADE e VENDADIATOTAL usando no Retail Manage.'
         );
      ELSE
         DBMS_SCHEDULER.DROP_JOB(JOB_NAME => 'JOB_REPLICA_VENDAS_RM');
         DBMS_SCHEDULER.CREATE_JOB (
            job_name        => 'JOB_REPLICA_VENDAS_RM',
            job_type        => 'PLSQL_BLOCK',
            job_action      => 'BEGIN REPLICA_VENDAS_RM(); END;',
            start_date      => SYSDATE,
            repeat_interval => 'FREQ=MINUTELY;INTERVAL=180',
            end_date        => NULL,
            enabled         => TRUE,
            comments        => 'Job criado para atualizar vendas das tabelas VENDADIAMODALIDADE e VENDADIATOTAL usando no Retail Manage.'
         );
      END IF;
   END;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('JOB_REPLICA_VENDAS_RM','6.19.xxx'); END;
/