/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TPOP                                                     */
/* Tabela : TIPOOPERAC                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_TPOP'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_TPOP
GO

CREATE TRIGGER DTULTATU_TPOP
ON TIPOOPERAC
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'TIPOOPERAC', null, 'IDENTRSAIDOP='+ IDENTRSAIDOP+ ';'+
                                         'CDTIPOOPER='  + CDTIPOOPER  + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE TIPOOPERAC
      SET DTULTATUTPOP = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(TIPOOPERAC.CDTIPOOPER,0)       = ISNULL(INSERTED.CDTIPOOPER,0))     AND
            (ISNULL(TIPOOPERAC.NMTIPOOPER,0)       = ISNULL(INSERTED.NMTIPOOPER,0))     AND
            (ISNULL(TIPOOPERAC.IDUTCTRLAIDF,0)     = ISNULL(INSERTED.IDUTCTRLAIDF,0))   AND
            (ISNULL(TIPOOPERAC.IDENTRSAIDOP,0)     = ISNULL(INSERTED.IDENTRSAIDOP,0))   AND
            (ISNULL(TIPOOPERAC.IDORIGDESTOP,0)     = ISNULL(INSERTED.IDORIGDESTOP,0))   AND
            (ISNULL(TIPOOPERAC.IDUTILOPER,0)       = ISNULL(INSERTED.IDUTILOPER,0))     AND
            (ISNULL(TIPOOPERAC.IDUTILVENC,0)       = ISNULL(INSERTED.IDUTILVENC,0))     AND
            (ISNULL(TIPOOPERAC.IDGERAVENC,0)       = ISNULL(INSERTED.IDGERAVENC,0))     AND
            (ISNULL(TIPOOPERAC.IDUTILEMISNF,0)     = ISNULL(INSERTED.IDUTILEMISNF,0))   AND
            (ISNULL(TIPOOPERAC.DSTIPOOPEFAT,0)     = ISNULL(INSERTED.DSTIPOOPEFAT,0))   AND
            (ISNULL(TIPOOPERAC.IDOPERDEVONF,0)     = ISNULL(INSERTED.IDOPERDEVONF,0))   AND
            (ISNULL(TIPOOPERAC.IDUTLLISTORI,0)     = ISNULL(INSERTED.IDUTLLISTORI,0))   AND
            (ISNULL(TIPOOPERAC.IDNFORIGOBRI,0)     = ISNULL(INSERTED.IDNFORIGOBRI,0))   AND
            (ISNULL(TIPOOPERAC.DSOPERNFORIG,0)     = ISNULL(INSERTED.DSOPERNFORIG,0))   AND
            (ISNULL(TIPOOPERAC.IDATUESTTPOP,0)     = ISNULL(INSERTED.IDATUESTTPOP,0))   AND
            (ISNULL(TIPOOPERAC.CDGRUPOFISC,0)      = ISNULL(INSERTED.CDGRUPOFISC,0))    AND
            (ISNULL(TIPOOPERAC.IDPERNUMENF,0)      = ISNULL(INSERTED.IDPERNUMENF,0))    AND
            (ISNULL(TIPOOPERAC.IDDCORIGRELAC,0)    = ISNULL(INSERTED.IDDCORIGRELAC,0))  AND
            (ISNULL(TIPOOPERAC.IDCONSPARFIS,0)     = ISNULL(INSERTED.IDCONSPARFIS,0))   AND
            (ISNULL(TIPOOPERAC.IDUTGERNFTRAN,0)    = ISNULL(INSERTED.IDUTGERNFTRAN,0))  AND
            (ISNULL(TIPOOPERAC.IDINFCPFCNPJNF,0)   = ISNULL(INSERTED.IDINFCPFCNPJNF,0)) AND
            (ISNULL(TIPOOPERAC.CDFORNECEDPADR,0)   = ISNULL(INSERTED.CDFORNECEDPADR,0)) AND
            (ISNULL(TIPOOPERAC.DSOPERNFAVISTA,0)   = ISNULL(INSERTED.DSOPERNFAVISTA,0)) AND
            (ISNULL(TIPOOPERAC.IDSERIEAUTO,0)      = ISNULL(INSERTED.IDSERIEAUTO,0))    AND
            (ISNULL(TIPOOPERAC.IDCONTABOPER,0)     = ISNULL(INSERTED.IDCONTABOPER,0))   AND
            (ISNULL(TIPOOPERAC.IDPERALTDSEM,0)     = ISNULL(INSERTED.IDPERALTDSEM,0))   AND
            (ISNULL(TIPOOPERAC.IDTPTRANSNFE,0)     = ISNULL(INSERTED.IDTPTRANSNFE,0))   AND
            (ISNULL(TIPOOPERAC.IDNFPRESTSERV,0)    = ISNULL(INSERTED.IDNFPRESTSERV,0))  AND
            (ISNULL(TIPOOPERAC.IDNFAJUSTE,0)       = ISNULL(INSERTED.IDNFAJUSTE,0))     AND
            (ISNULL(TIPOOPERAC.IDNFESTCANC,0)      = ISNULL(INSERTED.IDNFESTCANC,0))    AND
            (ISNULL(TIPOOPERAC.IDTRATRECBRUTA,0)   = ISNULL(INSERTED.IDTRATRECBRUTA,0)) AND
            (ISNULL(TIPOOPERAC.IDUTILOPEROFF,0)    = ISNULL(INSERTED.IDUTILOPEROFF,0))  AND
            (ISNULL(TIPOOPERAC.IDOBINFCSTICMENT,0) = ISNULL(INSERTED.IDOBINFCSTICMENT,0)) AND
            (ISNULL(TIPOOPERAC.IDOBINFCSTCFOPEN,0) = ISNULL(INSERTED.IDOBINFCSTCFOPEN,0)) AND
            (ISNULL(TIPOOPERAC.IDOPERDEVOOL,0)     = ISNULL(INSERTED.IDOPERDEVOOL,0))     AND
            (ISNULL(TIPOOPERAC.IDTIPOOPERELE,0)    = ISNULL(INSERTED.IDTIPOOPERELE,0))    AND
            (ISNULL(TIPOOPERAC.IDOBRDTREFFAT,0)    = ISNULL(INSERTED.IDOBRDTREFFAT,0))    AND
            (ISNULL(TIPOOPERAC.IDALTDTREFAPROV,0)  = ISNULL(INSERTED.IDALTDTREFAPROV,0))  AND
            (ISNULL(TIPOOPERAC.IDNFRETIND,0)       = ISNULL(INSERTED.IDNFRETIND,0))       AND
            (ISNULL(TIPOOPERAC.IDOPTRIANGULAR,0)   = ISNULL(INSERTED.IDOPTRIANGULAR,0))   AND
            (ISNULL(TIPOOPERAC.IDENTRTERCEIRO,0)   = ISNULL(INSERTED.IDENTRTERCEIRO,0))   AND
            (ISNULL(TIPOOPERAC.IDREMESSAINDU,0)    = ISNULL(INSERTED.IDREMESSAINDU,0))    AND
            (ISNULL(TIPOOPERAC.IDUTILNFSE,0   )    = ISNULL(INSERTED.IDUTILNFSE,0))       AND
            (ISNULL(TIPOOPERAC.IDBRINDETPOPER,0)   = ISNULL(INSERTED.IDBRINDETPOPER,0));
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_TPOP','6.10.xxx';
GO
